@import '../../assets/scss/variables.scss';

li.card {
    position: relative;
    margin-left: 5px;
    margin-right: 5px;
    margin-top: 30px;
    list-style: none;
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
    padding-left: 10px;
    padding-right: 10px;
    border-radius: 10px;
    transition: all 0.2s;
    border: 2px transparent solid;
    background-color: #fff;
    display: flex;
    flex-direction: column;
    &.selected {
        transition: all 0.2s;
        border: 2px $makers-font-secondary solid;
        background-color: transparentize($color: $makers-font-secondary, $amount: 0.95);
    }

    .info {
        display: flex;
        justify-content: space-between;
        align-items: flex-start;
        padding-top: 10px;
        > * {
            width: 33%;
        }
        .resourceImage {
            width: 100px;
            border-radius: 10px;
            height: 100px;
        }
        a {
            font-weight: bold;
            font-size: 12px;
            color: $makers-font-secondary;
            text-decoration: none;
        }
        .downloadBarcode {
            cursor: pointer;
            text-align: right;
            .barcode {
                color: $makers-font-secondary;
            }
        }
    }
    .notes,
    .instructions {
        padding-right: 10px;
        padding-top: 10px;
        div {
            font-weight: bold;
            font-size: 14px;
        }
        span {
            font-weight: thin;
            font-size: 12px;
            text-overflow: ellipsis;
            overflow: hidden;
        }
        padding-bottom: 10px;
    }
    .notes {
        span {
            font-style: italic;
        }
    }
    .instructions {
        align-self: center;
        text-align: center;
        margin-top: 20px;
        width: 90%;
        color: $makers-font-primary;
        background-color: transparentize($color: $makers-background-third, $amount: 0.3);
        border-radius: 10px;
        div {
            font-size: 20px;
        }

        .pdfLink {
            display: flex;
            align-items: center;
            justify-content: center;
            width: 180px;
            margin: 0 auto;
            margin-bottom: 10px;
            height: 36px;
            &:hover,
            &:focus {
                a {
                    color: $makers-background-light;
                }
                outline: 0;
                box-shadow: 0 0 40px 40px $makers-font-secondary inset;
            }
            a {
                color: $makers-font-secondary;
                text-decoration: none;
                font-size: 20px;
                width: 100%;
            }
        }
    }
}
